<?php

namespace jerryyan\notice\service;


use jerryyan\notice\model\NoticeNotice;
use think\admin\Service;

class NoticeService extends Service
{
    public static function send_notice_to($type = '', $content = '', $link = '', $users = []): int
    {
        $notices = [];
        foreach ($users as $user) {
            $notices[] = [
                'type' => $type,
                'content' => $content,
                'link' => $link,
                'staff_id' => $user,
            ];
        }
        return NoticeNotice::mk()->insertAll($notices);
    }
}